Subject: Re: [patch 2.6.14-rc4 0/3] sk98lin: neuter and prepare for removal

From: Stephen Hemminger <[email-masked]>
Date: Tue, 18 Oct 2005 18:38:24 -0700

John W. Linville wrote:

>These patches take steps towards removing sk98lin from the upstream
>kernel.
>
>	-- Remove sk98lin's MODULE_DEVICE_TABLE to avoid
>	confusing userland tools about which driver to load;
>
>	-- Mark sk98lin as Obsolete in the MAINTAINERS file; and,
>
>	-- Add sk98lin to the feature-removal-schedule.txt file in the
>	Documentation directory.
>
>I accept the possibility that I may be jumping the gun on this.
>However, I think it is worth opening this discussion.
>
>Patches to follow...
>  
>
I applaud the initiative, but this it is too premature to obsolete the 
existing driver. There may be lots of chip versions and other variables 
that make
the existing driver a better choice.  Maybe eepro100 is a better target
for removal right now.